Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2238233

Summary: Review Request: libdatachannel - WebRTC network library featuring Data Channels, Media Transport, and WebSockets
Product: [Fedora] Fedora Reporter: Neal Gompa <ngompa13>
Component: Package ReviewAssignee: Davide Cavalca <davide>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: davide, package-review
Target Milestone: ---Flags: davide: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-09-14 00:43:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2238232    
Bug Blocks: 2218117, 2233012    
Attachments:
Description Flags
review none

Description Neal Gompa 2023-09-10 18:16:01 UTC
Spec URL: https://ngompa.fedorapeople.org/for-review/libdatachannel.spec
SRPM URL: https://ngompa.fedorapeople.org/for-review/libdatachannel-0.19.1-1.fc38.src.rpm

Description:
libdatachannel is a standalone implementation of WebRTC Data Channels,
WebRTC Media Transport, and WebSockets in C++17 with C bindings for POSIX platforms
(including GNU/Linux, Android, FreeBSD, Apple macOS and iOS) and Microsoft Windows.

Fedora Account System Username: ngompa

Comment 1 Davide Cavalca 2023-09-10 18:23:45 UTC
> #BuildRequires:  cmake(LibJuice)

Did you mean to leave this commented out? Add a comment explaining why if it's on purpose

Comment 2 Neal Gompa 2023-09-11 11:44:45 UTC
(In reply to Davide Cavalca from comment #1)
> > #BuildRequires:  cmake(LibJuice)
> 
> Did you mean to leave this commented out? Add a comment explaining why if
> it's on purpose

Yes. I added a comment about it not being needed yet and not being packaged in Fedora yet.

Comment 3 Davide Cavalca 2023-09-11 19:19:47 UTC
Created attachment 1988195 [details]
review

Attaching the fedora-review review as it's too long for a comment due to rpmlint output

Comment 4 Davide Cavalca 2023-09-11 19:22:10 UTC
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 105225510 bytes in 2544 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation

[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 57600000 bytes in /usr/share
     libdatachannel-devel-0.19.1-1.fc40.x86_64.rpm:57579520
     See:
     https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines

These should be fixed by making the appropriate subpackages. There's also a ton of rpmlint warnings as it tries to parse binary samples as text files. Not sure what the right course of action is here, but probably worth reporting to rpmlint at least. Besides this, APPROVED.

Comment 5 Neal Gompa 2023-09-11 19:26:47 UTC
I think I'll just not ship the examples then, I didn't expect it to be quite so angry about it...

Comment 6 Fedora Admin user for bugzilla script actions 2023-09-11 19:27:32 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/libdatachannel

Comment 7 Fedora Update System 2023-09-11 22:06:30 UTC
FEDORA-2023-9024d60a5e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9024d60a5e

Comment 8 Fedora Update System 2023-09-11 22:06:32 UTC
FEDORA-2023-543c5612db has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-543c5612db

Comment 9 Fedora Update System 2023-09-11 22:06:52 UTC
FEDORA-2023-5123efa972 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5123efa972

Comment 10 Fedora Update System 2023-09-12 01:24:21 UTC
FEDORA-2023-543c5612db has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-543c5612db`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-543c5612db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-09-12 01:24:37 UTC
FEDORA-2023-9024d60a5e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9024d60a5e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9024d60a5e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-09-12 01:29:40 UTC
FEDORA-2023-5123efa972 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5123efa972 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5123efa972

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-09-14 00:43:46 UTC
FEDORA-2023-5123efa972 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-09-14 01:28:39 UTC
FEDORA-2023-9024d60a5e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-09-15 19:54:18 UTC
FEDORA-2023-543c5612db has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.